<template>
  <!-- todo to remove -->
  <div class="flex flex-col items-center gap-8 pt-10 pb-[500px]">
    <p class="text-7xl">Svn Ui Library - Aleph</p>

    <!-- Svn Navbars  -->
    <div class="flex flex-col items-center gap-4">
      <p class="text-2xl">Svn Navbars</p>
      <div
        class="flex flex-col gap-4"
      >
        <svn-aleph-navbar
          :app-name="theme.global.name.value"
          :items="menuItems"
          :app-menu="appMenu"
          :user-avatar="null"
          :modal-items="modalItems"
          email="william1@byseven.co"
          user-company-logo="https://learn.byseven.co/logos/points/blackYellowPoints.png"
          @home-button-click="() => {}"
        />
      </div>
    </div>

    <!-- Svn Menus  -->
    <div class="flex flex-col items-center gap-4">
      <p class="text-2xl">Svn Menus</p>
      <p class="text-2xl">Aleph</p>
      <div
        class="flex flex-col gap-4"
      >
        <svn-aleph-navbar-menu
          variant="modal"
          :items="modalItems"
        />

        <svn-aleph-navbar-menu
          variant="select"
          :items="menuItems"
        />

        <svn-aleph-navbar-menu
          variant="navbar"
          :items="menuItems"
        />
      </div>
    </div>

    <!-- Svn Profile -->
    <div class="flex flex-col items-center w-full max-w-[1000px] gap-4">
      <p class="text-2xl">Svn Profile item</p>

      <div class="w-full !border-2 border-black rounded p-4">
        <svn-profile
          app-variant="aleph"
          firstname="John"
          lastname="Doe"
          email="john.doe@email.com"
          :tags="[
            'tag short 1',
            'tag loooooooong 1',
            'tag loooooooong 1',
            'tag loooooooong 1',
            'tag loooooooong 1',
            'tag loooooooong 1',
            'tag loooooooong 1',
            'tag loooooooong 1',
            'tag loooooooong 1',
            'tag loooooooong 1',
            'tag loooooooong 1',
            'tag loooooooong 1',
            'tag loooooooong 1'
          ]"
        />
      </div>

    </div>

  </div>
</template>

<script setup>
import SvnAlephNavbarMenu from "@/components/navbar/SvnAlephNavbarMenu.vue";
import SvnProfile from "@/components/profile/SvnProfile.vue";
import SvnAlephNavbar from "@/components/navbar/SvnAlephNavbar.vue";
import {ref} from "vue";
import {useTheme} from "vuetify";

const theme = useTheme();
theme.global.name.value = "interview";

const appMenu = ref([
  {
    title: "Interviews",
    icon: "mingcute:chat-3-line",
    to: "",
    iconClass: "text-[#3177B7]",
    soon: false
  },
  {
    title: "Learn",
    icon: "mingcute:mortarboard-line",
    to: "",
    iconClass: "text-[#EF8C64]",
    soon: true
  },
  {
    title: "Roadmap",
    icon: "mingcute:target-line",
    to: "",
    iconClass: "text-[#5C95FF]",
    soon: false
  }
])

const menuItems = ref([
  {
    title: 'my interviews',
    to: 'eazeaz'
  },
  {
    title: 'my team interviews',
    to: 'eazeaze'
  },
  {
    title: 'my campaigns',
    to: 'eazeaz'
  },
  {
    title: 'templates',
    to: 'eazea'
  },
  {
    title: 'reports',
    to: 'ezaea'
  },
])

const modalItems = ref([
  {
    title: 'Homepage',
    icon: 'ph:house',
    itemClass: 'text-fake-black',
    to: '/',
    subItems: []
  },
  {
    title: 'Interviews',
    icon: 'mingcute:chat-3-line',
    class: 'text-[#3177B7]',
    subItems: [
      {
        title: 'My Interviews',
        to: 'eazeaze',
      },
      {
        title: 'My Team Interviews',
        to: 'eazeaz',
      },
      {
        title: 'Campaigns',
        to: 'ezaeaz',
      },
      {
        title: 'Templates',
        to: 'ezaeza',
      },
      {
        title: 'Reports',
        to: 'eazezaea',
      }
    ]
  },
])

</script>